Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# SSL_Context.cpp File Reference

`#include "SSL_Context.h"`
`#include "sslconf.h"`
`#include "ace/Guard_T.h"`
`#include "ace/Object_Manager.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Singleton.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/ACE.h"`
`#include "ace/OS_NS_errno.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/Thread_Mutex.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/OS_NS_Thread.h"`
`#include <openssl/x509.h>`
`#include <openssl/err.h>`
`#include <openssl/rand.h>`

Include dependency graph for SSL_Context.cpp:

## Defines
#define | ACE_SSL_LOCKING_CALLBACK_NAME ACE_SSL_locking_callback
#define | ACE_SSL_THREAD_ID_NAME ACE_SSL_thread_id
## Functions
| ACE_RCSID (ACE_SSL, SSL_Context,"$Id: SSL_Context.cpp,v 1.55 2005/12/04 14:52:28 ossama Exp $") namespace
void | ACE_SSL_LOCKING_CALLBACK_NAME (int mode, int type, const char *, int)
| mode_ (-1)
| default_verify_mode_ (SSL_VERIFY_NONE)
| have_ca_ (0)

## Define Documentation

#define ACE_SSL_LOCKING_CALLBACK_NAME ACE_SSL_locking_callback

#define ACE_SSL_THREAD_ID_NAME ACE_SSL_thread_id

## Function Documentation

ACE_RCSID | ( | ACE_SSL | ,
|  | SSL_Context | ,
|  | "$Id: SSL_Context. | cpp,
|  | v 1.55 2005/12/04 14:52:28 ossama Exp $" |
| ) |

| Reference count of the number of times the ACE_SSL_Context was initialized. Array of mutexes used internally by OpenSSL when the SSL application is multithreaded.

void ACE_SSL_LOCKING_CALLBACK_NAME | ( | int | mode,
|  | int | type,
|  | const char * | ,
|  | int |
| ) |

default_verify_mode_ | ( | SSL_VERIFY_NONE |  | ) |

have_ca_ | ( | 0 |  | ) |

mode_ | ( | - | 1 | ) |